Lets you fetch unique ID of a customer generated internally. This is required for customer related activities such as fetch customer details, update customer details, manage subscription details and other activities.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Prerequisites
- Access group resource: Read access to the
Customerresource. For more information, see the access group documentation.
Using Multiple Identifiers
When dual eligibility is enabled in your organisation, the API allows you to send multiple identifiers while fetching details. The system automatically identifies which one is the primary identifier and retrieves the details accordingly. This removes the need for you to know or specify only the primary identifier. This is beneficial in a dual eligibility–enabled scenario, as the feature allows you to register multiple users with the same secondary identifiers.
When you submit multiple identifiers in a lookup request:
- The service checks that dual eligibility is active.
- It parses all submitted identifiers, for example
email,mobile,externalId - It determines which identifier is configured as the primary key.
- If one of the provided values matches the primary key, the API uses it for the lookup.
- The API returns the single customer profile associated with the primary identifier.
Case-insensitiveexternalIdmatching for dual eligibility: When dual eligibility is enabled (source=INSTORE), this lookup matchesexternalIdvalues without regard to case — for example, a storedexternalIdofMPQSP100matches a lookup value ofmpqsp100. This applies only toexternalId; other identifier types (mobile) continue to match using their existing rules, and non-dual-eligibility organizations remain case-sensitive forexternalIdas well.
You can enter multiple identifiers as comma-separated values using the identifierName and identifierValue query parameters. Ensure the order of the identifierName matches the identifierValue.
Note: If you provide only one identifier that is not the primary identifier, the system will return an error, 8015 - Customer not found for given identifiers.
Endpoint Example
https://eu.api.capillarytech.com/v2/customers/lookup?source=INSTORE&identifierName=email,mobile,externalId&[email protected],915795008395,MPQSP100Here,
[email protected]is the email915795008395is the mobile numberMPQSP100is the external ID
Error Code
| Error Code | Description | Reason |
|---|---|---|
| 8015 | Customer not found for the given identifiers | The identifier provided is incorrect. When dual eligibility is enabled, if the primary identifier is missing from the input, the system returns the same error. |
